﻿using UnityEngine;
using System.Collections;

public class MusicController : MonoBehaviour {
	private float startTime;
	private float durationTime = 5f;

	void MusicEnable() {
		audio.Play();
		startTime = Time.time;
	}

	void Update() {
		if (audio.isPlaying && audio.volume < 1)
			audio.volume = Mathf.Lerp(0f, 1f, (Time.time - startTime) / durationTime);
		
	}
}
